- entityDefinitions:
  - IDE_Task_SystemUser_Common_View: '{770fb6fd-ca5e-4852-a47d-544b5bda2470}'
  - IDE_Task_SystemUser_Common_Edit: '{4da5f561-138e-440d-b37e-0500b0a75a03}'
  - IDE_Task_SystemUser_Common_Subedit: '{14e32ff2-1dd7-44d7-ab21-4c96b213a1ca}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_Task_SystemUser_Common_View;'
    elementContents:
    - globalIdentifier: '{94c9e94d-3bc6-412d-aa69-2be7e9bdf894}'
      label: 'system user view'
      defaultDataType: '&IDE_Task_SystemUser_Common_Subedit;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_NotEnterable;'
  - element: '&IDE_Task_SystemUser_Common_Edit;'
    elementContents:
    - globalIdentifier: '{686c1222-1b91-4c10-a498-e4c220a3002a}'
      label: 'system user edits'
      defaultDataType: '&IDE_Task_SystemUser_Common_Subedit;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  - element: '&IDE_Task_SystemUser_Common_Subedit;'
    elementContents:
    - globalIdentifier: '{dcc2aef3-2041-4787-a46b-4becc054b797}'
      label: 'User Name'
      defaultDataType: '&IDA_UserName;'
    # - globalIdentifier: '{d38ae189-9b74-4922-9245-e6f1621913eb}'
    #   label: 'Locked'
    #   defaultDataType: '&IDA_Locked;'
    # TODO: implement get element contents from method (maybe Get Element from Parameters Method?)

    # Test Parms gets its contents from `Method Binding.has Parameter Assignment`

    # Test Context has:
    # Effective Moment [DT]
    # Effective Local Date Time [DT]
    # Effective Date Time Zone [DT]+TZ
